Indice del forum Olimpo Informatico
I Forum di Zeus News
Leggi la newsletter gratuita - Attiva il Menu compatto
 
 FAQFAQ   CercaCerca   Lista utentiLista utenti   GruppiGruppi   RegistratiRegistrati 
 ProfiloProfilo   Messaggi privatiMessaggi privati   Log inLog in 

    Newsletter RSS Facebook Twitter Contatti Ricerca
non riesco ad aggiornare FF alla vers 3.5, come si fa?
Nuovo argomento   Rispondi    Indice del forum -> Linux
Precedente :: Successivo  
Autore Messaggio
utonto_medio
Dio minore
Dio minore


Registrato: 09/02/08 14:28
Messaggi: 969

MessaggioInviato: 11 Lug 2009 16:03    Oggetto: non riesco ad aggiornare FF alla vers 3.5, come si fa? Rispondi citando

salve...
non chiedo neanche + scusa visto che ormai siete abituati alla mia valanga di domande osceme...

come diavolo si fa per aggiornare FF??? su xp... entro come admin, clicco un pulsante e fa tutto lui... in ubuntu JJ invece... non riesco... ho provato da terminale con dei comandi che ovviamente non ricordo ma... mi diceva sempre qualcosa tipo "comando negato" se provo a cercare in sinaptic ci sono due voci ma non ho ben capito di cosa si tratta:
una è abrowser 3.5-branding e è unbranded
su "aggiungi-rimuovi" ho trovato anche shiretoko...
posso essere un filo confuso?...

altre domande sceme: posso cambiare il colore delle cartelle del tema "human"? se metto oxygen mi cambia anche le varie icone e vado in confusione (ho l'imprinting come i pennuti"). insomma voglio che le icone restino le stesse ma solo non mi piace quell'arancione li.

e ancora... per errore ho eliminato il pulsante che permette di terminare la sessione, riavviare, spegnere etc...

e ancora ancora ancora... firefox (3.0.11) al riavvio del pc mi ripropone l'ultima pagina vista nella sessione precedente... come faccio ad eliminare questa cosa?

grazie

ciao

a.
Top
Profilo Invia messaggio privato
splarz
Moderatore Hardware e Networking
Moderatore Hardware e Networking


Registrato: 20/08/06 14:54
Messaggi: 2767

MessaggioInviato: 11 Lug 2009 18:41    Oggetto: Rispondi citando

uh quanta roba!

software: da terminale
Codice:
sudo apt-get update && sudo apt-get upgrade && sudo apt-get dist-upgrade

ma, mi duole deluderti, non ci troverai Firefox 3.5: nei repositories non verranno messi fino alla prossima versione di ubuntu.
per ottenerlo bisogna aggiungere un repo dedicato.

grafica: vai a fare un giro su gnome-look

per la sessione di Firefox, da' un'occhiata sotto modifica --> preferenze

il pulsante di spegnimento lo puoi aggiungere come oggetto del pannello (clic tasto dx, ...)
Top
Profilo Invia messaggio privato
MK66
Moderatore Sistemi Operativi
Moderatore Sistemi Operativi


Registrato: 17/10/06 22:24
Messaggi: 8448
Residenza: dentro una cassa sotto 3 metri di terra...

MessaggioInviato: 11 Lug 2009 21:19    Oggetto: Rispondi citando

Lo shiretoko che trovi nei repo è la versione beta di FF 3.5, che arriverà come definitivo solo sulla prossima Ubuntu (il Koala 9.10, che uscirà a ottobre)
Per mettere la versione definitiva di FF 3.5 su Jaunty (9.04) o su Intrepid (8.10) e su Hardy (8.04), esiste un sistema che, come dice giustamente Splarz, richiede di inserire un repository apposito.

Una spiegazione molto chiara e semplice (per chi fosse interessato) è riportata in questo blog
Citazione:
Personalmente sono un maniaco della perfezione ed oggi, installando Firefox 3.5, mi sono accorto che l?antialiasing non faceva il suo dovere. Inoltre non volevo perdere l?estensione ubufox (Ubuntu Firefox Modification) che permette di scegliere quale plugin utilizzare mentre si vede un filmato.

Ecco una semplice guida per risolvere il tutto e usare Firefox 3.5 senza nessun rimpianto.


Per le icone, quoto Splarz: cerca in gnome-look o gnome-art

Ogni elemento esistente in ciascuno dei due pannelli lo si può recuperare facilmente con un clic destro e scegliendo Aggiungi al pannello, quindi cercando l'applet nella finestra che appare.
Top
Profilo Invia messaggio privato HomePage
utonto_medio
Dio minore
Dio minore


Registrato: 09/02/08 14:28
Messaggi: 969

MessaggioInviato: 12 Lug 2009 10:34    Oggetto: Rispondi citando

io avevo trovato anche un'altra guida che un pratica andava ad installare shiretoko da "aggiungi rimuovi"... sarebbe stata la stessa cosa?
sembra che anche questa volta anche l'utonto sia riuscito... ma... c'è sempre un ma...
quando ho eseguito il comando per aggiungere il repo nuovo mi ha restituito questo:

Lettura della lista dei pacchetti in corso... Fatto
W: Errore GPG: http://ppa.launchpad.net intrepid Release: Le seguenti firme non sono state verificate perché la chiave pubblica non è disponibile: NO_PUBKEY 02FE5F12ADDE29B2
W: È consigliabile eseguire apt-get update per correggere questi problemi

ma anche facendolo restituisce lo stesso errore... devo preoccuparmi?
va bin parej?

nel punto nove della guida non ho capito cosa devo fare:

* scrivete apt-get update "su Shiretoko", scrivete ?useragent?. Nella chiave ?general.useragent.extra.firefox? cambiate e mettete Firefox/3.5

cosa vuol dire? che devo scrivelo nel browser? che devo scrivere "useragent" nel terminale dopo "update"?... idem per la chiave... cosa vuol dire?

per finire (eh lo so sono una piattola, ma non sono cattivo... non sempre per lo meno) se vado a vedere quali sono i componenti aggiuntivi installati mi dice che ci sono xulrunner (en-GB) 1.9.0.8 non compatibile con FF 3.5 e Xulrunner (it) 1.9.0.8 anche lui non compatibile con FF 3.5, entrambi hanno il simbolo del divieto... io sono andato a vedere in sinaptyc ma mi risultano installati nella vers. 1.9.1

dimenticavo quando sono andato a disistallare ubufox non ho usato disistallazione completa... ho fatto male?

come al solito grazie... chissà che magari non mi risolva i miei vecchi problemi di visualizzazione?
per ora ho notato che continuano a non funzionarmi bene le chat java... in alcune non riesco ad aprire le finestre dei pvt in tutte quello che digito compare nella mia riga (non nella finestra della chat) molto lentamente e spessissimo (in alcuni casi continuamente) devo ricliccare sulla riga se no non riesco + a scrivere...). avrò installato la java machine (o quel che l'è) sbagliata?

a me l'avvio di FF3.5 sembra un po + lento del precedente...

ciao ciao

u.
Top
Profilo Invia messaggio privato
splarz
Moderatore Hardware e Networking
Moderatore Hardware e Networking


Registrato: 20/08/06 14:54
Messaggi: 2767

MessaggioInviato: 12 Lug 2009 11:00    Oggetto: Rispondi citando

Ordunque...
Il mio consiglio è di non passare a Firefox 3.5 con ubuntu così celermente: ci saranno ancora bug e falle di sicurezza... fallo rodare agli altri Smile
Se proprio vuoi installarlo e leggi bene la guida vedi che i repo nuovi non sono più necessari (come invece avevo scritto nel mio precedente post) ed è sufficiente installare i pacchetti dai repo ufficiali.
Indi per cui [bleva tutto quello che hai messo[/b] (firefox 3.5, repositories e dipendenze), poi vai nel terminale e digita:
Codice:
sudo apt-get update
sudo apt-get install firefox-3.5 firefox-3.5-branding firefox-3.5-gnome support xulrunner-1.9.1 xulrunner-1.9.1-gnome-support

potrai eseguire firefox 3.5 da teminale:
Codice:
firefox-3.5

se non ci sarà già la voce nel menu di gnome.
La lingua sarà inglese e dovrai reinstallare forse qualche componente.

A proposito dell'errore gpg, semplicemente non avevi installato la chiave di autenticazione del repository (e in questi casi, checchè ne dica apt-get, fare "update" non serve Smile )
Per le robe java non ti saprei dire, l'ho usato poco FF 3.5
Top
Profilo Invia messaggio privato
utonto_medio
Dio minore
Dio minore


Registrato: 09/02/08 14:28
Messaggi: 969

MessaggioInviato: 12 Lug 2009 14:11    Oggetto: Rispondi citando

e io che gongolavo...
ma lo stesso discorso vale anche per XP? (relarivo all'opportunità o meno di passare alla 3.5)

comunque le java-stranezze me le faceva anche con la versione precedente...

io ero passato alla vers. 3.5 proprio perchè dicevano che in quella precedente c'erano delle falle... non ricordo dove lo letto... forse nelle news qua... cosa faccio?

posso andare in paranoia? Smile

comunque grazie

ciao
Top
Profilo Invia messaggio privato
splarz
Moderatore Hardware e Networking
Moderatore Hardware e Networking


Registrato: 20/08/06 14:54
Messaggi: 2767

MessaggioInviato: 12 Lug 2009 18:02    Oggetto: Rispondi citando

in realtà con firefox 3.1, anche su linux, java non mi ha mai dato problemi...
potresti provare a reinstallarlo, facendo attenzione ad installare java 6.
toglimi una curiosità: il sistema come lo aggiorni?
Top
Profilo Invia messaggio privato
utonto_medio
Dio minore
Dio minore


Registrato: 09/02/08 14:28
Messaggi: 969

MessaggioInviato: 18 Lug 2009 08:16    Oggetto: Rispondi citando

rieccomi...

allora... per aggiornare vado su sistema>gestore aggiornamenti. scommetto che è sbagliato...
come aggiungo la chiave di autenticazione?
ma devo farlo se rifaccio l'installazione come mi avete indicato?


mi pare che dallo scorso we non abbia trovato+ nulla(zero aggiornamenti)

invece mi pare che su xp di recente ci sia stato unaggiornamento per firefox.

tra l'altro da ubuntu non riuscivo a rispondere ora... boh????
Top
Profilo Invia messaggio privato
splarz
Moderatore Hardware e Networking
Moderatore Hardware e Networking


Registrato: 20/08/06 14:54
Messaggi: 2767

MessaggioInviato: 18 Lug 2009 09:14    Oggetto: Rispondi citando

Non ti serve la chiave perchè non ti serve più il relativo repository.
Fidati: meglio se fai il lavoro come t'ho detto sopra...
Tra i rilasci per windows e i pacchetti aggiornati sui repo ufficiali di ubuntu passa sempre qualche giorno, è normale Smile
Top
Profilo Invia messaggio privato
utonto_medio
Dio minore
Dio minore


Registrato: 09/02/08 14:28
Messaggi: 969

MessaggioInviato: 18 Lug 2009 09:26    Oggetto: Rispondi citando

ciao ti stavo rispondento:
ho questi repo con flag
http://archive.canonical.com/ubuntu (jaunty)
http://archive.canonical.com/ubuntu (jaunty)

a questi l'ho tolto
http://ppa.launchpad.net/tobydox/lmms/ubuntu (intrepid)
http://ppa.launchpad.net/tobydox/lmms/ubuntu (intrepid)
http://ppa.launchpad.net/pidgin-developers/ppa/ubuntu

da synaptic ho tolto tutto quello che aveva a che fare con firefox, con disintallazioen completa

ho provato i comandi che hai detto: mi dice firefox 3.5 non trovato

allora ho rimesso la versione precedente da aggiungi rimuovi.

ora non ci sto + capendo niente... Sad soprattutto... quale versione è + sicura???

uffa.

aggiornamento delle 14.46... ho cambiato il colore delle cartelle del tema human in maniera molto utonta... sudo nautilus. mi sono andato a cercare l'immagine folder.png l'ho modificata in gimp e l'ho sostituita...
esiste un'applicazione per fare lo stesso con quelle scalabili?.
potrei provare a modificarle in illustrator ma non vorrei che mi venisse fuori un file enorme come al solito.
Top
Profilo Invia messaggio privato
splarz
Moderatore Hardware e Networking
Moderatore Hardware e Networking


Registrato: 20/08/06 14:54
Messaggi: 2767

MessaggioInviato: 18 Lug 2009 14:11    Oggetto: Rispondi citando

ok, facciamo una cosa alla volta, molto radicale e sicura Smile

terminale, digita:
Codice:
sudo gedit /etc/apt/sources.list

ti si aprirà un file di testo, con un po' di roba. la cancelli tutta. al suo posto ci incolli questo:
Codice:
deb http://it.archive.ubuntu.com/ubuntu/ jaunty main restricted
deb-src http://it.archive.ubuntu.com/ubuntu/ jaunty main restricted

## Major bug fix updates
deb http://it.archive.ubuntu.com/ubuntu/ jaunty-updates main restricted
deb-src http://it.archive.ubuntu.com/ubuntu/ jaunty-updates main restricted

## Universe
deb http://it.archive.ubuntu.com/ubuntu/ jaunty universe
deb-src http://it.archive.ubuntu.com/ubuntu/ jaunty universe
deb http://it.archive.ubuntu.com/ubuntu/ jaunty-updates universe
deb-src http://it.archive.ubuntu.com/ubuntu/ jaunty-updates universe

## Multiverse
deb http://it.archive.ubuntu.com/ubuntu/ jaunty multiverse
deb-src http://it.archive.ubuntu.com/ubuntu/ jaunty multiverse
deb http://it.archive.ubuntu.com/ubuntu/ jaunty-updates multiverse
deb-src http://it.archive.ubuntu.com/ubuntu/ jaunty-updates multiverse

## Universe Multiverse
deb http://it.archive.ubuntu.com/ubuntu/ jaunty-backports main restricted universe multiverse
deb-src http://it.archive.ubuntu.com/ubuntu/ jaunty-backports main restricted universe multiverse

## Canonical's
deb http://archive.canonical.com/ubuntu jaunty partner
deb-src http://archive.canonical.com/ubuntu jaunty partner

deb http://security.ubuntu.com/ubuntu jaunty-security main restricted
deb-src http://security.ubuntu.com/ubuntu jaunty-security main restricted
deb http://security.ubuntu.com/ubuntu jaunty-security universe
deb-src http://security.ubuntu.com/ubuntu jaunty-security universe
deb http://security.ubuntu.com/ubuntu jaunty-security multiverse
deb-src http://security.ubuntu.com/ubuntu jaunty-security multiverse

## WineHQ
deb http://wine.budgetdedicated.com/apt jaunty main

## OpenOffice 3.1
#deb http://ppa.launchpad.net/openoffice-pkgs/ppa/ubuntu jaunty main
#deb-src http://ppa.launchpad.net/openoffice-pkgs/ppa/ubuntu jaunty main

## Deluge
#deb http://ppa.launchpad.net/deluge-team/ppa/ubuntu jaunty main
#deb-src http://ppa.launchpad.net/deluge-team/ppa/ubuntu jaunty main

## Banshee
#deb http://ppa.launchpad.net/banshee-team/ppa/ubuntu jaunty main
#deb-src http://ppa.launchpad.net/banshee-team/ppa/ubuntu jaunty main

## Chromium
#deb http://ppa.launchpad.net/chromium-daily/ppa/ubuntu jaunty main
#deb-src http://ppa.launchpad.net/chromium-daily/ppa/ubuntu jaunty main

## Cairo Dock
#deb http://repository.cairo-dock.org/ubuntu jaunty cairo-dock

## nVidia drivers: https://launchpad.net/~ubuntu-x-swat/+archive/x-updates
#deb http://ppa.launchpad.net/ubuntu-x-swat/x-updates/ubuntu jaunty main
#deb-src http://ppa.launchpad.net/ubuntu-x-swat/x-updates/ubuntu jaunty main


non so quanto tu conosca repositories & co, farò un breve review:
- barbaramente, i repo sono mucchi di applicazioni costantemente aggiornate da tizi che gentilmente offrono 'sto servizio aggratis;
- nel file /etc/apt/sources.list ci sono gli indirizzi di riferimento dei repo: contattandoli si può confrontare lo stato di aggiornamento del proprio sistema ed eventualmente, aggiornarlo automaticamente;
- alcuni repo prevedono l'installazione di una chiave GPG di autenticazione. non so di preciso perchè è necessaria;
- il simbolo #, in qualsiasi file di configurazione linux, significa "tutto ciò che mi segue, in questa riga, è roba per umani, linux lo ignorerà";
- corollario: applicare # davanti a qualche riga (commentare) è un modo comodo di nasconderla a linux senza cancellare il contenuto delle righe.

a questo punto, da terminale digita:
Codice:
sudo apt-get update && sudo apt-get upgrade && sudo apt-get dist-upgrade

se hai disinstallato firefox 3, scrivi:
Codice:
sudo apt-get install firefox

se vuoi installare finalmente firefox 3.5, vedi quel che ho scritto qualche post qua sopra.

Per gestire le applicazioni impara ad usare apt-get, è il più comodo. ti è chiaro il funzionamento del terminale o c'è bisogno di qualche spiegazione ulteriore?
facci sapere Ciao

ps: per ora è più sicuro firefox 3.0.11
Top
Profilo Invia messaggio privato
utonto_medio
Dio minore
Dio minore


Registrato: 09/02/08 14:28
Messaggi: 969

MessaggioInviato: 18 Lug 2009 14:33    Oggetto: Rispondi citando

ecco... ma la cosa radicale e sicura cosa fa?

hai visto che son riuscito a cambiare colore alle mie cartelline? a manina eh... pixel per pixel!

firefox l'avevo installato da aggiungi-rimuovi... non va bene? (3.0.11)

grazie ciao!
Top
Profilo Invia messaggio privato
splarz
Moderatore Hardware e Networking
Moderatore Hardware e Networking


Registrato: 20/08/06 14:54
Messaggi: 2767

MessaggioInviato: 18 Lug 2009 14:45    Oggetto: Rispondi citando

Citazione:
ecco... ma la cosa radicale e sicura cosa fa?
fornisce un elenco di repositories adeguati, completi, sicuri (cioè: quelli che uso io)
con questi sarai in grado di installare di sicuro anche firefox 3.5.

Citazione:
hai visto che son riuscito a cambiare colore alle mie cartelline? a manina eh... pixel per pixel!
felice per te Smile

Citazione:
firefox l'avevo installato da aggiungi-rimuovi... non va bene? (3.0.11)
sì, va bene, ti consigliavo soltanto di usare apt-get in futuro.
Top
Profilo Invia messaggio privato
utonto_medio
Dio minore
Dio minore


Registrato: 09/02/08 14:28
Messaggi: 969

MessaggioInviato: 18 Lug 2009 15:00    Oggetto: Rispondi citando

dunque... i repo che mi hai dato sono per ff 3.5.
io ora ho il 3.0.11 e a sto punto lo tengo ancora un po' visto che tu mi consigli così...

vedi è che io in quanto utonto... fatico ad usare il terminale... mi viene + naturale usare synaptic e compagnia bella... se l'hanno messo li ci sarà un perchè no? o il terminale fa un lavoro migliore?

già che ci sono come faccio a vedere quali programmi stanno girando? l'equivalente del task manager di windows per capierci... mi era partita per errore la modalità recovery e mi è parso di capire che l'avira che credevo non funzionasse invece girava... solo che non capisco da dove lo posso vedere e controllare... al massimo posso mettere l'icona con l'ombrellino...

Smile
Top
Profilo Invia messaggio privato
splarz
Moderatore Hardware e Networking
Moderatore Hardware e Networking


Registrato: 20/08/06 14:54
Messaggi: 2767

MessaggioInviato: 18 Lug 2009 16:09    Oggetto: Rispondi citando

Citazione:
dunque... i repo che mi hai dato sono per ff 3.5.
sono anche per FF3.5. quando lo installerai avrai due versioni: la 3.0.11 e la 3.5.1, indipendenti.

Citazione:
vedi è che io in quanto utonto... fatico ad usare il terminale... mi viene + naturale usare synaptic e compagnia bella... se l'hanno messo li ci sarà un perchè no? o il terminale fa un lavoro migliore?
apt-get è più semplice e soprattutto veloce, basta imparare cosa significano i comandi che si inseriscono.
non puoi usare linux e fare a meno del terminale, sorry Wink

Citazione:
già che ci sono come faccio a vedere quali programmi stanno girando?
cerca nel menu system monitor

come mai hai installato avira antivir?
Top
Profilo Invia messaggio privato
utonto_medio
Dio minore
Dio minore


Registrato: 09/02/08 14:28
Messaggi: 969

MessaggioInviato: 18 Lug 2009 16:33    Oggetto: Rispondi citando

avevo installato avira per fare una bella scansione molto molto molto approfondita della partizione xp.

io tra cercare i comandi e quello che devo installare mi sa che faccio prima non usando il terminale ehehehe.

comunque non avevo capito se l'installazione di avira era andata a buon fine...
Top
Profilo Invia messaggio privato
utonto_medio
Dio minore
Dio minore


Registrato: 09/02/08 14:28
Messaggi: 969

MessaggioInviato: 18 Lug 2009 19:04    Oggetto: Rispondi citando

ririririciao... ho aggiornato i repo come hai detto tu:

W: Errore GPG: http://wine.budgetdedicated.com jaunty Release: Le seguenti firme non sono state verificate perché la chiave pubblica non è disponibile: NO_PUBKEY 58403026387EE263
W: È consigliabile eseguire apt-get update per correggere questi problemi
Lettura della lista dei pacchetti in corso... Fatto
Generazione dell'albero delle dipendenze in corso
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti saranno aggiornati:
wine wine-gecko
2 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
È necessario prendere 16,3MB di archivi.
Dopo quest'operazione, verranno occupati 13,3MB di spazio su disco.
Continuare [S/n]? s
ATTENZIONE: i seguenti pacchetti non possono essere autenticati!
wine wine-gecko
Installare questi pacchetti senza la verifica [s/N]? n
E: Non è stato possibile autenticare alcuni pacchetti
a@linx1:~$

chi è e cosa fa wine-geko??? cosa devo fare?
Top
Profilo Invia messaggio privato
MK66
Moderatore Sistemi Operativi
Moderatore Sistemi Operativi


Registrato: 17/10/06 22:24
Messaggi: 8448
Residenza: dentro una cassa sotto 3 metri di terra...

MessaggioInviato: 18 Lug 2009 21:26    Oggetto: Rispondi citando

L'errore è dovuto al fatto che non c'è la chiave di autenticazione del repository, lo risolvi con il seguente comando da terminale (purtroppo, a volte ci vuole... Wink ):
Codice:
sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 58403026387EE263

utonto_medio ha scritto:
chi è e cosa fa wine-geko??? cosa devo fare?

wine è un emulatore di Windows (permette di usare programmi Windows dentro Linux traducendo le librerie DLL di Windows in corrispondenti librerie Linux. Non conosco wine-geko (ma gecko dovrebbe essere il motore interno di Firefox... Think )

@ Splarz: ma per wine non sarebbe sufficiente usare la versione nei repo ufficiali?
Top
Profilo Invia messaggio privato HomePage
splarz
Moderatore Hardware e Networking
Moderatore Hardware e Networking


Registrato: 20/08/06 14:54
Messaggi: 2767

MessaggioInviato: 19 Lug 2009 00:07    Oggetto: Rispondi citando

Citazione:
@ Splarz: ma per wine non sarebbe sufficiente usare la versione nei repo ufficiali?
molto più aggiornati quelli di winehq Smile
Top
Profilo Invia messaggio privato
utonto_medio
Dio minore
Dio minore


Registrato: 09/02/08 14:28
Messaggi: 969

MessaggioInviato: 19 Lug 2009 09:21    Oggetto: Rispondi

... !!?!?!? ok wine serve per usare qualche programmino win tipo il blocco note... molto familiare nell'aspetto ma ci mette un secolo ad aprirsi.

ma allora sto wine-gecko (o geko?) cosa c'entra firefox su ubuntu con win? è solo un'omonimia? o sono totalmente fuori strada as usual?


ciao!
Top
Profilo Invia messaggio privato
Mostra prima i messaggi di:   
Nuovo argomento   Rispondi    Indice del forum -> Linux Tutti i fusi orari sono GMT + 1 ora
Vai a 1, 2  Successivo
Pagina 1 di 2

 
Vai a:  
Non puoi inserire nuovi argomenti
Non puoi rispondere a nessun argomento
Non puoi modificare i tuoi messaggi
Non puoi cancellare i tuoi messaggi
Non puoi votare nei sondaggi